Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Class JDOCanRetryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.jdo.JDOException
                      javax.jdo.JDOCanRetryException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JDODataStoreException, JDOUserException

    public class JDOCanRetryException

extends JDOException

This is the base class for exceptions that can be retried.

Version:
  1.0
See Also:
  Serialized Form

Constructor Summary
`JDOCanRetryException()` Constructs a new `JDOCanRetryException` without a detail message.
`JDOCanRetryException(java.lang.String msg)` Constructs a new `JDOCanRetryException` with the specified detail message.
`JDOCanRetryException(java.lang.String msg, java.lang.Object failed)` Constructs a new `JDOCanRetryException` with the specified detail message and failed object.
`JDOCanRetryException(java.lang.String msg, java.lang.Throwable nested)` Constructs a new `JDOCanRetryException` with the specified detail message and nested `Throwable`s.``
`JDOCanRetryException(java.lang.String msg, java.lang.Throwable[] nested)` Constructs a new `JDOCanRetryException` with the specified detail message and nested `Throwable`s.
`JDOCanRetryException(java.lang.String msg, java.lang.Throwable[] nested, java.lang.Object failed)` Constructs a new `JDOCanRetryException` with the specified detail message, nested `Throwable`s, and failed object.
`JDOCanRetryException(java.lang.String msg, java.lang.Throwable nested, java.lang.Object failed)` Constructs a new `JDOCanRetryException` with the specified detail message, nested `Throwable`s, and failed object.

Method Summary

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDOCanRetryException

    public JDOCanRetryException()

  Constructs a new `JDOCanRetryException` without a detail message.

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg)

  Constructs a new `JDOCanRetryException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg,
                                java.lang.Throwable[] nested)

  Constructs a new `JDOCanRetryException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg,
                                java.lang.Throwable nested)

  Constructs a new `JDOCanRetryException` with the specified detail message and nested `Throwable`s.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.
  ``

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg,
                                java.lang.Object failed)

  Constructs a new `JDOCanRetryException` with the specified detail message and failed object.

  Parameters:
    `msg` - the detail message.
    `failed` - the failed object.

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg,
                                java.lang.Throwable[] nested,
                                java.lang.Object failed)

  Constructs a new `JDOCanRetryException` with the specified detail message, nested `Throwable`s, and failed object.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable[]`.
    `failed` - the failed object.

### JDOCanRetryException

    public JDOCanRetryException(java.lang.String msg,
                                java.lang.Throwable nested,
                                java.lang.Object failed)

  Constructs a new `JDOCanRetryException` with the specified detail message, nested `Throwable`s, and failed object.

  Parameters:
    `msg` - the detail message.
    `nested` - the nested `Throwable`.
    `failed` - the failed object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 Apache Software Foundation. All Rights Reserved.